import '../../../mhsl/custom_timetable_event/custom_timetable_event.dart';
import '../../marianumconnect_query.dart';

class TimetableCustomEventsUpdate extends MarianumConnectQuery {
  TimetableCustomEventsUpdate({super.dio});

  Future<void> run(String id, CustomTimetableEvent event) => guard(() async {
    await dio.put<void>(
      endpoint('timetable/custom-events/$id'),
      data: event.toJson(),
    );
  });
}
